Debian Bug report logs - #324902
cannot use ntuples

version graph

Package: paw; Maintainer for paw is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for paw is src:paw.

Reported by: Alex Romosan <romosan@caliban.lbl.gov>

Date: Wed, 24 Aug 2005 18:48:02 UTC

Severity: important

Found in version paw/2005.05.09-3

Fixed in version cernlib/2005.05.09.dfsg-1

Done: kmccarty@debian.org (Kevin B. McCarty)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kmccarty@princeton.edu (Kevin B. McCarty):
Bug#324902; Package paw. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
New Bug report received and forwarded. Copy sent to kmccarty@princeton.edu (Kevin B. McCarty). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cannot use ntuples
Date: Wed, 24 Aug 2005 11:37:24 -0700
Package: paw
Version: 2005.05.09-3
Severity: important

i am trying to use ntuples but paw crashes with a segmentation
violation:

PAW > nt/cr 1 'test' 1 ! ! x
PAW > n/pri 1 

 *** Break *** Segmentation violation
 Traceq lun = 0, level = 99 

 TRACEQ.  In-line trace-back still not available.
 Longjump 

this also happens on another computer with paw built directly from the 
cvs source from cern so i suspect the problem might be with some other
libraries (lapack is a prime suspect).

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, kmccarty@princeton.edu (Kevin B. McCarty):
Bug#324902; Package paw. Full text and rfc822 format available.

Acknowledgement sent to 324902@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to kmccarty@princeton.edu (Kevin B. McCarty). Full text and rfc822 format available.

Message #10 received at 324902@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: Alex Romosan <romosan@caliban.lbl.gov>, 324902@bugs.debian.org
Subject: Re: Bug#324902: cannot use ntuples
Date: Wed, 24 Aug 2005 15:08:53 -0400
Alex Romosan wrote:
> Package: paw
> Version: 2005.05.09-3
> Severity: important
> 
> i am trying to use ntuples but paw crashes with a segmentation
> violation:
> 
> PAW > nt/cr 1 'test' 1 ! ! x
> PAW > n/pri 1 
> 
>  *** Break *** Segmentation violation
>  Traceq lun = 0, level = 99 
> 
>  TRACEQ.  In-line trace-back still not available.
>  Longjump 
> 
> this also happens on another computer with paw built directly from the 
> cvs source from cern so i suspect the problem might be with some other
> libraries (lapack is a prime suspect).

Hmm.  What compiler did you use to build Paw from CERN CVS?  Maybe this
is a new bug in gcc 4.0.  I've just tested Paw 2005.05.09-3 on Sid
(where it breaks as you say) and 2004.11.04-3 on Sarge (where it works
fine).  Neither upstream nor I changed any of the Paw ntuple internals
between those versions.  Right now I am building 2005.05.09-3 on Sarge
with gcc/g77 3.3 to see what happens.

For what it's worth, gdb says that the breakage happens in h_load_nt()
in the file pawlib/paw/ntuple/qp/qp_hbook_if.c -- looking at this file,
I don't think lapack is to blame.

In the meantime you ought to be able to use the version of Paw from
Sarge as a workaround, although this may be annoying to install since it
uses different versions of several libraries.

regards,

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544



Information forwarded to debian-bugs-dist@lists.debian.org, kmccarty@princeton.edu (Kevin B. McCarty):
Bug#324902; Package paw. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to kmccarty@princeton.edu (Kevin B. McCarty). Full text and rfc822 format available.

Message #15 received at 324902@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: 324902@bugs.debian.org
Subject: Re: Bug#324902: cannot use ntuples
Date: Wed, 24 Aug 2005 12:20:26 -0700
"Kevin B. McCarty" <kmccarty@Princeton.EDU> writes:

> Hmm.  What compiler did you use to build Paw from CERN CVS?  Maybe this
> is a new bug in gcc 4.0.  I've just tested Paw 2005.05.09-3 on Sid
> (where it breaks as you say) and 2004.11.04-3 on Sarge (where it works
> fine).  Neither upstream nor I changed any of the Paw ntuple internals
> between those versions.  Right now I am building 2005.05.09-3 on Sarge
> with gcc/g77 3.3 to see what happens.

i used gcc 4.0 as well. i've played around with it a bit more and i
also came to the conclusion that lapack is probably not to blame.

> For what it's worth, gdb says that the breakage happens in h_load_nt()
> in the file pawlib/paw/ntuple/qp/qp_hbook_if.c -- looking at this file,
> I don't think lapack is to blame.

bingo. i recompiled pawlib/paw/ntuple/qp_hbook_if.c with gcc-3.4 and
paw now works as expected. so i think the problem is with gcc-4.0.

> In the meantime you ought to be able to use the version of Paw from
> Sarge as a workaround, although this may be annoying to install since it
> uses different versions of several libraries.

i found some other machines that had older versions of paw installed.
thinking of switching to root though :-)

--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |



Bug marked as found in version 2005.05.09-3. Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as not found in version 2004.11.04-3. Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 325050 Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#324902; Package paw. Full text and rfc822 format available.

Acknowledgement sent to 324902@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #26 received at 324902-quiet@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: control@bugs.debian.org
Cc: 324902-quiet@bugs.debian.org, 324902-submitter@bugs.debian.org
Subject: Test case for compiler bug causing Paw segfault
Date: Thu, 25 Aug 2005 17:14:51 -0400
block 324902 by 325050
thanks

I've isolated a test case for the compiler bug involved here, and
submitted it as Debian bug #325050.

Rather than just recompile the one source file in question
(qp_hbook_if.c) with no optimization, I'm going to wait until the
compiler bug is fixed before uploading a new version of Cernlib.  The
reason is that the code causing the problem is frequently generated by
cfortran, and I feel that the compiler bug is probably going to cause
problems in many more places than just this one.

People who need a usable version of Paw in the meantime should install
it from Sarge, or else download cernlib source code and recompile it
with gcc 3.4.  This can be done with the following commands:

su -
[enter root password]
apt-get build-dep cernlib
apt-get install build-essential fakeroot gcc-3.4
ln -sf gcc-3.4 /usr/bin/gcc
exit
apt-get source cernlib
cd cernlib-*
fakeroot debian/rules binary

If bug #325050 is not resolved in the near future, I will upload a
version of cernlib to Sid that will be built by gcc 3.4.

regards,

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544



Message sent on to Alex Romosan <romosan@caliban.lbl.gov>:
Bug#324902. Full text and rfc822 format available.

Tags added: fixed Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#324902; Package paw. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@Princeton.EDU>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #36 received at 324902-quiet@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: control@bugs.debian.org, 324902-quiet@bugs.debian.org
Subject: Tagging this "fixed"
Date: Mon, 10 Oct 2005 08:49:31 -0400
tags 324902 + fixed
thanks

I'm tagging this bug "fixed" since it has been worked around in the most
recent Cernlib release for Debian by forcing compilation with gcc 3.4
instead of 4.0.  However, I am leaving the bug open until #325050
(against gcc-4.0) is fixed and I update the Cernlib Build-Depends
accordingly.

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544



Tags removed: fixed Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to kmccarty@debian.org (Kevin B. McCarty):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alex Romosan <romosan@caliban.lbl.gov>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 324902-close@bugs.debian.org (full text, mbox):

From: kmccarty@debian.org (Kevin B. McCarty)
To: 324902-close@bugs.debian.org
Subject: Bug#324902: fixed in cernlib 2005.05.09.dfsg-1
Date: Fri, 02 Dec 2005 13:47:39 -0800
Source: cernlib
Source-Version: 2005.05.09.dfsg-1

We believe that the bug you reported is fixed in the latest version of
cernlib, which is due to be installed in the Debian FTP archive:

cernlib-base_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/cernlib-base_2005.05.09.dfsg-1_all.deb
cernlib-core-dev_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/cernlib-core-dev_2005.05.09.dfsg-1_all.deb
cernlib-core_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/cernlib-core_2005.05.09.dfsg-1_all.deb
cernlib-extras_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/cernlib-extras_2005.05.09.dfsg-1_all.deb
cernlib-montecarlo_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/cernlib-montecarlo_2005.05.09.dfsg-1_all.deb
cernlib_2005.05.09.dfsg-1.diff.gz
  to pool/main/c/cernlib/cernlib_2005.05.09.dfsg-1.diff.gz
cernlib_2005.05.09.dfsg-1.dsc
  to pool/main/c/cernlib/cernlib_2005.05.09.dfsg-1.dsc
cernlib_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/cernlib_2005.05.09.dfsg-1_all.deb
cernlib_2005.05.09.dfsg.orig.tar.gz
  to pool/main/c/cernlib/cernlib_2005.05.09.dfsg.orig.tar.gz
dzedit_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/dzedit_2005.05.09.dfsg-1_i386.deb
geant321-data_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/geant321-data_2005.05.09.dfsg-1_all.deb
geant321-doc_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/geant321-doc_2005.05.09.dfsg-1_all.deb
geant321_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/geant321_2005.05.09.dfsg-1_all.deb
kuipc_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/kuipc_2005.05.09.dfsg-1_i386.deb
kxterm_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/kxterm_2005.05.09.dfsg-1_i386.deb
libcojets2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libcojets2-dev_2005.05.09.dfsg-1_i386.deb
libcojets2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libcojets2_2005.05.09.dfsg-1_i386.deb
libeurodec1-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libeurodec1-dev_2005.05.09.dfsg-1_i386.deb
libeurodec1_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libeurodec1_2005.05.09.dfsg-1_i386.deb
libgeant321-2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libgeant321-2-dev_2005.05.09.dfsg-1_i386.deb
libgeant321-2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libgeant321-2_2005.05.09.dfsg-1_i386.deb
libgraflib1-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libgraflib1-dev_2005.05.09.dfsg-1_i386.deb
libgraflib1_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libgraflib1_2005.05.09.dfsg-1_i386.deb
libgrafx11-1-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libgrafx11-1-dev_2005.05.09.dfsg-1_i386.deb
libgrafx11-1_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libgrafx11-1_2005.05.09.dfsg-1_i386.deb
libherwig59-2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libherwig59-2-dev_2005.05.09.dfsg-1_i386.deb
libherwig59-2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libherwig59-2_2005.05.09.dfsg-1_i386.deb
libisajet758-2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libisajet758-2-dev_2005.05.09.dfsg-1_i386.deb
libisajet758-2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libisajet758-2_2005.05.09.dfsg-1_i386.deb
libkernlib1-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libkernlib1-dev_2005.05.09.dfsg-1_i386.deb
libkernlib1_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libkernlib1_2005.05.09.dfsg-1_i386.deb
libmathlib2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libmathlib2-dev_2005.05.09.dfsg-1_i386.deb
libmathlib2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libmathlib2_2005.05.09.dfsg-1_i386.deb
libpacklib1-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpacklib1-dev_2005.05.09.dfsg-1_i386.deb
libpacklib1-lesstif-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpacklib1-lesstif-dev_2005.05.09.dfsg-1_i386.deb
libpacklib1-lesstif_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpacklib1-lesstif_2005.05.09.dfsg-1_i386.deb
libpacklib1_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpacklib1_2005.05.09.dfsg-1_i386.deb
libpawlib2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpawlib2-dev_2005.05.09.dfsg-1_i386.deb
libpawlib2-lesstif-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpawlib2-lesstif-dev_2005.05.09.dfsg-1_i386.deb
libpawlib2-lesstif_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpawlib2-lesstif_2005.05.09.dfsg-1_i386.deb
libpawlib2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpawlib2_2005.05.09.dfsg-1_i386.deb
libpdflib804-2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpdflib804-2-dev_2005.05.09.dfsg-1_i386.deb
libpdflib804-2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libpdflib804-2_2005.05.09.dfsg-1_i386.deb
libphotos202-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libphotos202-dev_2005.05.09.dfsg-1_i386.deb
libphotos202_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libphotos202_2005.05.09.dfsg-1_i386.deb
libphtools2-dev_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libphtools2-dev_2005.05.09.dfsg-1_i386.deb
libphtools2_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/libphtools2_2005.05.09.dfsg-1_i386.deb
montecarlo-base_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/montecarlo-base_2005.05.09.dfsg-1_all.deb
paw++-static_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/paw++-static_2005.05.09.dfsg-1_i386.deb
paw++_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/paw++_2005.05.09.dfsg-1_i386.deb
paw-common_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/paw-common_2005.05.09.dfsg-1_all.deb
paw-demos_2005.05.09.dfsg-1_all.deb
  to pool/main/c/cernlib/paw-demos_2005.05.09.dfsg-1_all.deb
paw-static_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/paw-static_2005.05.09.dfsg-1_i386.deb
paw_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/paw_2005.05.09.dfsg-1_i386.deb
pawserv_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/pawserv_2005.05.09.dfsg-1_i386.deb
zftp_2005.05.09.dfsg-1_i386.deb
  to pool/main/c/cernlib/zftp_2005.05.09.dfsg-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 324902@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kevin B. McCarty <kmccarty@debian.org> (supplier of updated cernlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Dec 2005 11:57:11 -0500
Source: cernlib
Binary: zftp libkernlib1-dev montecarlo-base libpawlib2 libgeant321-2-dev geant321 libphotos202-dev libeurodec1-dev libpawlib2-lesstif libpacklib1 cernlib-extras libherwig59-2-dev libpawlib2-lesstif-dev libgrafx11-1-dev geant321-data paw++ libpdflib804-2 libpacklib1-dev cernlib-core-dev libcojets2-dev libcojets2 cernlib-base kxterm libphtools2 libpawlib2-dev libmathlib2-dev cernlib-core libgrafx11-1 paw cernlib paw++-static libgraflib1-dev libgraflib1 libisajet758-2-dev kuipc libgeant321-2 libherwig59-2 libkernlib1 libmathlib2 paw-common libphotos202 paw-static libpdflib804-2-dev libphtools2-dev libisajet758-2 paw-demos geant321-doc pawserv cernlib-montecarlo libpacklib1-lesstif dzedit libeurodec1 libpacklib1-lesstif-dev
Architecture: source all i386
Version: 2005.05.09.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Kevin B. McCarty <kmccarty@debian.org>
Changed-By: Kevin B. McCarty <kmccarty@debian.org>
Description: 
 cernlib    - almost complete set of Debian Cernlib packages
 cernlib-base - script to determine Cernlib library dependencies
 cernlib-core - Cernlib main libraries and programs
 cernlib-core-dev - Cernlib development headers, tools, and static libraries
 cernlib-extras - miscellaneous Cernlib programs unlikely to be used by many
 cernlib-montecarlo - Cernlib Monte Carlo libraries
 dzedit     - Cernlib's ZEBRA documentation editor
 geant321   - [Physics] Particle detector description and simulation tool
 geant321-data - [Physics] Data for Geant 3.21 detector simulator
 geant321-doc - [Physics] Documentation for Geant 3.21
 kuipc      - Cernlib's Kit for a User Interface Package (KUIP) compiler
 kxterm     - Cernlib's KUIP terminal emulator
 libcojets2 - [Physics] COJETS p-p and pbar-p interaction Monte Carlo library
 libcojets2-dev - [Physics] COJETS p-p and pbar-p interaction Monte Carlo
 libeurodec1 - [Physics] Monte Carlo library for quark and heavy lepton decays
 libeurodec1-dev - [Physics] Monte Carlo library for quark / heavy lepton decays
 libgeant321-2 - [Physics] Library for Geant 3.21
 libgeant321-2-dev - [Physics] Library for Geant 3.21 (development files)
 libgraflib1 - Cernlib graphical library
 libgraflib1-dev - Cernlib graphical library (development files)
 libgrafx11-1 - Cernlib library interface to X11 and PostScript
 libgrafx11-1-dev - Cernlib library interface to X11 and PostScript (development)
 libherwig59-2 - [Physics] Monte Carlo event generator simulating hadronic events
 libherwig59-2-dev - [Physics] Monte Carlo event generator for hadrons (development)
 libisajet758-2 - [Physics] Monte Carlo generator for proton / electron reactions
 libisajet758-2-dev - [Physics] Monte Carlo generator for proton/electron reactions
 libkernlib1 - core Cernlib library of basic functions
 libkernlib1-dev - core Cernlib library of basic functions (development files)
 libmathlib2 - core Cernlib mathematical library
 libmathlib2-dev - core Cernlib mathematical library (development files)
 libpacklib1 - core Cernlib library
 libpacklib1-dev - core Cernlib library (development files)
 libpacklib1-lesstif - Cernlib graphical user interface library
 libpacklib1-lesstif-dev - Cernlib graphical user interface library (development files)
 libpawlib2 - Cernlib PAW library - portion without Lesstif dependencies
 libpawlib2-dev - Cernlib PAW library - portion without Lesstif (development files)
 libpawlib2-lesstif - Cernlib PAW library (Lesstif-dependent part)
 libpawlib2-lesstif-dev - Cernlib PAW library (Lesstif-dependent part - development files)
 libpdflib804-2 - [Physics] Comprehensive library of parton density functions
 libpdflib804-2-dev - [Physics] Comprehensive library of parton density functions
 libphotos202 - [Physics] Monte Carlo simulation of photon radiation in decays
 libphotos202-dev - [Physics] Monte Carlo simulation of photon radiation in decays
 libphtools2 - [Physics] General purpose Monte Carlo routines
 libphtools2-dev - [Physics] General purpose Monte Carlo routines (development files
 montecarlo-base - [Physics] Common files for Cernlib Monte Carlo libraries
 paw        - Physics Analysis Workstation - a graphical analysis program
 paw++      - Physics Analysis Workstation (Lesstif-enhanced version)
 paw++-static - Physics Analysis Workstation (Lesstif-enhanced version)
 paw-common - Physics Analysis Workstation (common files)
 paw-demos  - Physics Analysis Workstation examples and tests
 paw-static - Physics Analysis Workstation - a graphical analysis program
 pawserv    - Cernlib's distributed PAW and file transfer servers
 zftp       - Cernlib's file transfer program
Closes: 324902 332334 334390 340433
Changes: 
 cernlib (2005.05.09.dfsg-1) unstable; urgency=low
 .
   * Removed the directories src/geant321/peanut and src/geant321/block,
     as well as a number of include files in src/geant321/geant321
     (see debian/deadpool.txt for details).  These are all part of GEANT-FLUKA
     (they were previously overlooked in the first purge of FLUKA code) and
     therefore cannot be included in Debian.  In addition, removed the
     directory src/geant321/fiface and the files
     src/geant321/miface/{gfmdis.F,gfmfin.F} as they are useless without FLUKA.
     (closes: #340433)
     - Necessitates repacking the orig.tar.gz ("new" upstream version).
     - Files added to debian/deadpool.txt.
     - Patch 001-fix-missing-fluka: revised to skip these directories as
       well as src/geant321/fluka.
       . Patches 109, 203, 802, 806 re-synced.
     - Patch 003-geant-dummy-functions: to keep ABI compatibility of the
       library, we have to add in dummy functions and COMMON blocks to replace
       the removed code.
     - debian/rules: Bump the shlib version required by code built against
       libgeant321-2, as the dummy COMMON blocks may in some cases be slightly
       larger than the real ones.  (Does not break the ABI, as FORTRAN COMMON
       blocks are always global and never nested or passed between functions.)
     - New script debian/add-ons/scripts/libcomp to help check that the dummy
       common blocks are the right sizes.
     - Additional removals noted in the README.Debian files for the affected
       binary packages: geant321, libgeant321-2, libgeant321-2-dev.
     - debian/NEWS: Comment on the new round of code removal.
 .
   * Some additional changes to existing patches suggested by Patrice Dumas
     <pertusus@free.fr> in the process of creating Cernlib RPMs:
     - patch 102: Add src/mathlib/gen/d/old506.F to the list of files to
                  compile without optimization; it breaks g77 3.2 otherwise.
     - patch 207: Have COMIS create temporary shared library files with g77,
                  not gcc.  (Resync patch 315.)
     - patch 210: Change <cfortran.h> to <cfortran/cfortran.h>.
     - patch 300: Prefer the FORTRAN version of lenocc() in
                  src/packlib/kernlib/kerngen/tcgen/lenocc.F to the C version
                  in src/packlib/kernlib/kerngen/ccgen/lenocc.c ; it isn't
                  clear that the C version is 64-bit safe.
     - patch 800: Use "$(FCLINK)" to create shared libs, not "gcc".
     - patch 802: Fixes to the top-level Imakefile, even though it isn't used
                  in the Debian package build.  For consistency, add
                  InstallSharedLibSubdirs(), and re-order the directory build
                  order to match that in debian/add-ons/Makefile.
     - patch 804: #include "comis/mdpool.h" or .inc consistently, using a new
                  dpatch shell script 804-link-to-comis-includes.sh to link
                  src/pawlib/comis/comis into src/include/.
 .
   * New patch 114-install-scripts-properly: convert InstallProgram to
     InstallNamedProg in src/scripts/Imakefile, to avoid the build trying
     to strip shell scripts.  (This is not currently used in the Debian build
     but is included for consistency with Patrice Dumas's RPMs.)
 .
   * debian/add-ons/bin/cernlib.in: Revised to take into account modern
     X directory layouts; patch from Patrice Dumas.
     - /usr/X11R6/lib will eventually no longer exist (as will be the case
       with modular X.org libs, where X libs go into /usr/lib)
     - Check also for /usr/X11R6/lib64 directory
     - Remove long-obsolete /usr/X386/lib and /usr/X11/lib directories
     - Merge Linux and Darwin cases, which are now essentially identical
 .
   * In files defining dummy functions (patches 003, 309, 310), protect
     printed-out references to Debian-specific files by surrounding them with
     "#if defined (CERNLIB_DEBIAN)" ... "#endif".  Update the referenced
     directories (e.g. libphtools1-dev -> libphtools2-dev).
 .
   * Bug #325050 in gcc-4.0 (which broke ntuple handling in PAW) has been fixed:
     - Build-Depend on gcc-4.0 (>= 4.0.2-4) | gcc (<< 4.0) to ensure that
       we compile with a gcc not having that bug.  (closes: #324902)
     - Revert hacks in debian/{control,rules} that forced build with gcc-3.4.
 .
   * debian/debhelper/paw{,++}{,-static}.README.debian: Update reference to
     X FAQ about Debconf configuration of X config files with altered md5sums.
 .
   * Update maintainer email everywhere in debian/ tree.
 .
   * debian/rules, debian/copyright{,.in}: Add a rule to update the copyright
     file with the current list of files in debian/deadpool.txt.
 .
   * debian/rules, debian/compat: Update to debhelper compat version 5.
 .
   * Debconf translations
     - Spanish: César Gómez Martín <cesar.gomez@gmail.com> (closes: #334390)
     - Swedish: Daniel Nylander <po@danielnylander.se> (closes: #332334)
Files: 
 831a37814f3711751ecabdde06908183 1591 science optional cernlib_2005.05.09.dfsg-1.dsc
 15f1d024fd1f50cf5f86731b337c4017 27859852 science optional cernlib_2005.05.09.dfsg.orig.tar.gz
 659ef5179e117ce42bcca2ce5b93f488 185007 science optional cernlib_2005.05.09.dfsg-1.diff.gz
 d64cf8ed85e61ad2da65de352c1091b2 48800 devel optional cernlib-base_2005.05.09.dfsg-1_all.deb
 0d41e96ea90a65a27a22a2b122e3518f 1038 science optional cernlib-core-dev_2005.05.09.dfsg-1_all.deb
 e25e12b8a719fccb88011d7bce2e157f 1012 science optional cernlib-core_2005.05.09.dfsg-1_all.deb
 a21a6b811f2bbb63cf61f3aa58174697 1058 science extra cernlib-extras_2005.05.09.dfsg-1_all.deb
 e2271d23b51825ac8ecfd9c3271d944c 1150 science optional cernlib-montecarlo_2005.05.09.dfsg-1_all.deb
 d44ea7aef2040e7f5fa3d252c47abe2c 976 science optional cernlib_2005.05.09.dfsg-1_all.deb
 9655f16ac1a7070238c20a1865fdd835 9192410 science optional geant321-data_2005.05.09.dfsg-1_all.deb
 451fa13980ba509c2257ad5800b1db15 95944 doc optional geant321-doc_2005.05.09.dfsg-1_all.deb
 ae984e39b0a5d763b45fff25852bbdf3 78058 science optional geant321_2005.05.09.dfsg-1_all.deb
 f52fb3b4fc0fa8c764548a087d6bdc0c 40192 science optional montecarlo-base_2005.05.09.dfsg-1_all.deb
 2ee5f33eeaffd5f385752e2bb790e751 39214 science optional paw-common_2005.05.09.dfsg-1_all.deb
 90a41d548e3ae09365c21eb5bd942d9b 405904 science optional paw-demos_2005.05.09.dfsg-1_all.deb
 c54a3aa3d70b64e3e94f05a6756321e4 62110 devel optional dzedit_2005.05.09.dfsg-1_i386.deb
 be4340ac1462c5f1ee0fc7502c608fee 66492 devel optional kuipc_2005.05.09.dfsg-1_i386.deb
 5d6aebc5833ec2668fc7f9777ca8e4ae 70078 science optional kxterm_2005.05.09.dfsg-1_i386.deb
 a7a357b8ed68e49dda9b4c3c27b0beb6 375138 libdevel optional libcojets2-dev_2005.05.09.dfsg-1_i386.deb
 144f8cc90924be53b4d954a0c7b871f9 220462 libs optional libcojets2_2005.05.09.dfsg-1_i386.deb
 9e90ec11588995946501fa57a8490e70 128854 libdevel optional libeurodec1-dev_2005.05.09.dfsg-1_i386.deb
 4baebbb1c17dacfa1849b115ec5f427c 109664 libs optional libeurodec1_2005.05.09.dfsg-1_i386.deb
 a9bc7fa6552bf0dc744012828fd1c1be 1823930 libdevel optional libgeant321-2-dev_2005.05.09.dfsg-1_i386.deb
 3cc276cfe7d712eb657231af7e035167 1133250 libs optional libgeant321-2_2005.05.09.dfsg-1_i386.deb
 abcea98c6dc2b0db274491f4d182f4fa 438832 libdevel optional libgraflib1-dev_2005.05.09.dfsg-1_i386.deb
 69589c7f40ddc131b198b36c13aa6b73 300752 libs optional libgraflib1_2005.05.09.dfsg-1_i386.deb
 5fb2f794dc3491655a8d02db41a1b2d9 641414 libdevel optional libgrafx11-1-dev_2005.05.09.dfsg-1_i386.deb
 93bd96bf7ac2394a3813c0f38fd4ab7e 424094 libs optional libgrafx11-1_2005.05.09.dfsg-1_i386.deb
 691e4ddcfd6252a3d91ac0a6df768401 503896 libdevel optional libherwig59-2-dev_2005.05.09.dfsg-1_i386.deb
 630d722d7d8ce2a2617cb14e04b36d0f 310142 libs optional libherwig59-2_2005.05.09.dfsg-1_i386.deb
 d0965288f96a87d64a79840e7fa7c7e0 1165298 libdevel optional libisajet758-2-dev_2005.05.09.dfsg-1_i386.deb
 dcdbf74fe99863c47461a56bb3059364 668308 libs optional libisajet758-2_2005.05.09.dfsg-1_i386.deb
 9e3d3f4b02d84a9882084201d53a9970 352418 libdevel optional libkernlib1-dev_2005.05.09.dfsg-1_i386.deb
 151e05f24600400551a18b78a0299902 246264 libs optional libkernlib1_2005.05.09.dfsg-1_i386.deb
 3b27e90cf0bb259c76c1e86f4be37ead 858634 libdevel optional libmathlib2-dev_2005.05.09.dfsg-1_i386.deb
 f9b15555eb67fd47fcdb79fb9de4a893 629482 libs optional libmathlib2_2005.05.09.dfsg-1_i386.deb
 08d5cba8b911cee2d44adb8473ee81f1 2698728 libdevel optional libpacklib1-dev_2005.05.09.dfsg-1_i386.deb
 761a0a7f3e6dd27c50f2c699506ef285 170344 libdevel optional libpacklib1-lesstif-dev_2005.05.09.dfsg-1_i386.deb
 8285690039a15733adffb392b5da6dec 145484 libs optional libpacklib1-lesstif_2005.05.09.dfsg-1_i386.deb
 3988cf10f6c31c10e62b4eda82215ce5 1620580 libs optional libpacklib1_2005.05.09.dfsg-1_i386.deb
 2a20d41102e1a6e609301276d2040f9b 1312494 libdevel optional libpawlib2-dev_2005.05.09.dfsg-1_i386.deb
 ca712d34f7c2194b569d041982f72505 395380 libdevel optional libpawlib2-lesstif-dev_2005.05.09.dfsg-1_i386.deb
 91b5a685d7d2c6be6335a17e30876a41 314564 libs optional libpawlib2-lesstif_2005.05.09.dfsg-1_i386.deb
 b103682b7a3b007febb5ce9733ef5804 877754 libs optional libpawlib2_2005.05.09.dfsg-1_i386.deb
 e820b1f7d5924eb848ed77fa41745211 6257754 libdevel optional libpdflib804-2-dev_2005.05.09.dfsg-1_i386.deb
 9f798d08e9a6d314dac7038000300025 5806124 libs optional libpdflib804-2_2005.05.09.dfsg-1_i386.deb
 9d7630707f16c4823470901a04a054fa 69960 libdevel optional libphotos202-dev_2005.05.09.dfsg-1_i386.deb
 4722a7e18d4c7883d94b13e1b1516092 58964 libs optional libphotos202_2005.05.09.dfsg-1_i386.deb
 00f05d63cc2a2e13c279aec1a7135442 85332 libdevel optional libphtools2-dev_2005.05.09.dfsg-1_i386.deb
 0ae2cfde67895d7d56184e960a80cf86 68780 libs optional libphtools2_2005.05.09.dfsg-1_i386.deb
 d522f4cd278017d697572423567eecaf 2456192 science optional paw++-static_2005.05.09.dfsg-1_i386.deb
 3dd9e786d199c14d6300678c6006c264 39760 science optional paw++_2005.05.09.dfsg-1_i386.deb
 1514034c9d3151c24e3e520e9655737e 2016326 science optional paw-static_2005.05.09.dfsg-1_i386.deb
 70be57e45fcc3528f5c8126462d9188f 39602 science optional paw_2005.05.09.dfsg-1_i386.deb
 8a5b4076b3679164526c1e254b10a459 66762 net extra pawserv_2005.05.09.dfsg-1_i386.deb
 a3a4f349eb27da7dce14a5029e092414 57164 net extra zftp_2005.05.09.dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDkJHofYxAIk+Dx1ERAiVXAKCSbZjazWd01SXFcvj7ngNz+tBQmQCgikua
F+CUHMn7+3/McxrHj6dTnLA=
=Yb2/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:50:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:56:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.